Subject: Re: bug#39491: 28.0.50; two bugs in battery-upower

From: Evgeny Zajcev <[email-masked]>
Date: Sun, 26 Apr 2020 18:44:09 +0300

вс, 26 апр. 2020 г. в 17:47, Eli Zaretskii <[email-masked]>:

> > From: [email-masked]
> > Date: Sat, 8 Feb 2020 12:10:46 +0400
> > Cc: [email-masked], [email-masked],
> >  Stefan Monnier <[email-masked]>
> >
> > >> However, that function has a design flaw: it reports on just the first
> > >> battery in the list.  battery-upower-device-list correctly returns a
> > >> list with an element for each battery, but battery-upower finds only
> one
> > >> of them (the first one in the list) and ignores the others.
> > >>
> > >> The old code handle all the batteries and added the energy quantities
> > >> so as to report accurately the total power available and overall
> > >> fraction of charge.  I wrote that code myself, around 10 years ago.
> > >>
> > >> Please restore the lost functionality.
> > >
> > > Evgeny, could you please look into fixing this?
> > >
> >
> > OK, we should generalize multi-battery code then, so each status func
> won’t reimplement multi battery handling.
> >
> > I’ll look at it tomorrow
>
> Evgeny, any progress in fixing this?
>

Sorry for the delay, I have some progress, but not yet ready.  I'm pretty
busy these days because I'm working for large company that provides
video-streaming service and we experiencing extreme rise in number of the
active users and everybody wants to watch something all the day :)

-- 
lg